AttributeNature (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.hibernate.metamodel.source.annotations.attribute
Enum AttributeNature

    java.lang.Object
      java.lang.Enum<AttributeNature>
          org.hibernate.metamodel.source.annotations.attribute.AttributeNature

All Implemented Interfaces:
  Serializable, Comparable<AttributeNature>

    public enum AttributeNature

extends Enum<AttributeNature>

An enum defining the type of a mapped attribute.

Enum Constant Summary
`BASIC`
`ELEMENT_COLLECTION`
`EMBEDDED`
`EMBEDDED_ID`
`MANY_TO_MANY`
`MANY_TO_ONE`
`ONE_TO_MANY`
`ONE_TO_ONE`

Method Summary
`org.jboss.jandex.DotName` | `getAnnotationDotName()`
`static AttributeNature` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static AttributeNature[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### BASIC

    public static final AttributeNature BASIC

### ONE_TO_ONE

    public static final AttributeNature ONE_TO_ONE

### ONE_TO_MANY

    public static final AttributeNature ONE_TO_MANY

### MANY_TO_ONE

    public static final AttributeNature MANY_TO_ONE

### MANY_TO_MANY

    public static final AttributeNature MANY_TO_MANY

### ELEMENT_COLLECTION

    public static final AttributeNature ELEMENT_COLLECTION

### EMBEDDED_ID

    public static final AttributeNature EMBEDDED_ID

### EMBEDDED

    public static final AttributeNature EMBEDDED

Method Detail

### values

    public static AttributeNature[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (AttributeNature c : AttributeNature.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static AttributeNature valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### getAnnotationDotName

    public org.jboss.jandex.DotName getAnnotationDotName()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.